function OnWarpEnter() 
	SetMarker("cs\\Warp_0045.wp" , 0 , 0)
	SetMarker("cs\\Warp_0031.wp" , 0 , 0)


	if ETAT_DAY == "D1" then 

	end 
	if ETAT_DAY == "D2" then 
		AnimationSetToStart("dsb1")
	end 
	if ETAT_DAY == "D3" then 
		if GIVE_MEDICINE_TO_SMITH_D3 and not KEY_IMPRESSION_READY then
			KEY_IMPRESSION_READY = true
		end

	end 
	if ETAT_DAY == "D4" then 

	end 
	if ETAT_DAY == "D5" then 

	end 
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0045.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0031.wp" then 
		ChangeWarp(objectName)
	end

	if ETAT_DAY == "D1" then 
		if objectName == "cob1" then

		elseif objectName == "dbb1" then

		elseif objectName == "dpb1" then

		elseif objectName == "dpbn" then

		elseif objectName == "dsb1" then

		elseif objectName == "dsbn" then

		elseif objectName == "nab1" then

		elseif objectName == "nbb1" then

		elseif objectName == "ncb1" then

		elseif objectName == "ndb1" then

		elseif objectName == "neb1" then

		elseif objectName == "nfc1" then

		elseif objectName == "ngc1" then

		elseif objectName == "nhc1" then

		elseif objectName == "nic1" then

		elseif objectName == "njc1" then

		elseif objectName == "nkc1" then

		end
	end 
	if ETAT_DAY == "D2" then 
		if objectName == "cob1" then

		elseif objectName == "dbb1" then

		elseif objectName == "dpb1" then

		elseif objectName == "dpbn" then

		elseif objectName == "dsb1" then

		elseif objectName == "dsbn" then

		elseif objectName == "nab1" then

		elseif objectName == "nbb1" then

		elseif objectName == "ncb1" then

		elseif objectName == "ndb1" then

		elseif objectName == "neb1" then

		elseif objectName == "nfc1" then

		elseif objectName == "ngc1" then

		elseif objectName == "nhc1" then

		elseif objectName == "nic1" then

		elseif objectName == "njc1" then

		elseif objectName == "nkc1" then

		end
	end 
	if ETAT_DAY == "D3" then 
		if objectName == "cob1" then

		elseif objectName == "dbb1" then

		elseif objectName == "dpb1" then

		elseif objectName == "dpbn" then

		elseif objectName == "dsb1" then

		elseif objectName == "dsbn" then

		elseif objectName == "nab1" then

		elseif objectName == "nbb1" then

		elseif objectName == "ncb1" then

		elseif objectName == "ndb1" then

		elseif objectName == "neb1" then

		elseif objectName == "nfc1" then

		elseif objectName == "ngc1" then

		elseif objectName == "nhc1" then

		elseif objectName == "nic1" then

		elseif objectName == "njc1" then

		elseif objectName == "nkc1" then

		end
	end 
	if ETAT_DAY == "D4" then 
		if objectName == "cob1" then

		elseif objectName == "dbb1" then

		elseif objectName == "dpb1" then

		elseif objectName == "dpbn" then

		elseif objectName == "dsb1" then

		elseif objectName == "dsbn" then

		elseif objectName == "nab1" then

		elseif objectName == "nbb1" then

		elseif objectName == "ncb1" then

		elseif objectName == "ndb1" then

		elseif objectName == "neb1" then

		elseif objectName == "nfc1" then

		elseif objectName == "ngc1" then

		elseif objectName == "nhc1" then

		elseif objectName == "nic1" then

		elseif objectName == "njc1" then

		elseif objectName == "nkc1" then

		end
	end 
	if ETAT_DAY == "D5" then 
		if objectName == "cob1" then

		elseif objectName == "dbb1" then

		elseif objectName == "dpb1" then

		elseif objectName == "dpbn" then

		elseif objectName == "dsb1" then

		elseif objectName == "dsbn" then

		elseif objectName == "nab1" then

		elseif objectName == "nbb1" then

		elseif objectName == "ncb1" then

		elseif objectName == "ndb1" then

		elseif objectName == "neb1" then

		elseif objectName == "nfc1" then

		elseif objectName == "ngc1" then

		elseif objectName == "nhc1" then

		elseif objectName == "nic1" then

		elseif objectName == "njc1" then

		elseif objectName == "nkc1" then

		end
	end 
end
